Bug 1065936 - [RFE] remote-viewer should support proxy authentication and ask for credentials if required
Summary: [RFE] remote-viewer should support proxy authentication and ask for credentia...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On: 1051149 1181289
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 10:54 UTC by Luca Villa
Modified: 2019-04-28 09:13 UTC (History)
16 users (show)

Fixed In Version: mingw-spice-gtk-0.26-4.el7ev mingw-virt-viewer-2.0-2.el7ev rhevm-spice-client 3.6-2
Doc Type: Enhancement
Doc Text:
This release adds remote-viewer support for proxy authentication. With this update, SPICE can connect via a proxy that requires authentication (such as user name and password) in order to allow only authenticated users to connect via the proxy. As a result, when remote-viewer is configured to use a proxy requiring user authentication, the SPICE client passes authentication information to the proxy, and users connecting with the proxy are authenticated.
Clone Of: 1051149
Environment:
Last Closed: 2016-03-09 20:08:37 UTC
oVirt Team: Spice
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0377 0 normal SHIPPED_LIVE rhevm-spice-client bug fix and enhancement update 2016-03-10 00:39:05 UTC

Comment 3 Christophe Fergeau 2015-06-05 15:25:11 UTC
Should be addressed in virt-viewer 1.0 or newer  ( https://git.fedorahosted.org/cgit/virt-viewer.git/commit/?id=d1d53d0c8b5600f61e55e472c592ebc86a65ee6f ) and spice-gtk 0.24 or newer ( http://cgit.freedesktop.org/spice/spice-gtk/commit/?id=8cbdc3d2d6ca6d8f9b8e75c0c11f0e89f4427eb2 and previous commits). The 3.6 rebase will have these versions (and a new enough glib) so this should address this RFE.

Comment 7 errata-xmlrpc 2016-03-09 20:08:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0377.html


Note You need to log in before you can comment on or make changes to this bug.